Verify Payment
Base URL not set in the spec · operationId VerifyPayment
Endpoint to verify Payments in Monato Billpay
Authorization
BearerAuth Bearer token
Query parameters
payee_id string requiredMonato Payee ID
payer_account string requiredThe payee reference to be paid
amount string requiredThe amount to be paid
currency string requiredCurrency in which the amount is going to be paid
idempotency_key string requiredUnique value generated by the client which we use to recognize from subsequent requests
Responses
200 Successfully Payment verification application/json
payment_id string amount string currency string payer_account string payee_id string status string metadata object created_at string (date-time) 404 Not Found application/json
error_type string error_message string This request is in the Monato · Billpay Postman collection.Download collection
Request
curl -X POST "$BASE_URL/v1/verify-payment?payee_id=ac1e14e3-46a7-4010-b6ca-36090efc4f69&payer_account=821970704543&amount=1000¤cy=MXN&idempotency_key=your_api_key" \
-H "Authorization: Bearer $TOKEN"const res = await fetch(`${BASE_URL}/v1/verify-payment?payee_id=ac1e14e3-46a7-4010-b6ca-36090efc4f69&payer_account=821970704543&amount=1000¤cy=MXN&idempotency_key=your_api_key`, {
method: "POST",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.post(
f"{BASE_URL}/v1/verify-payment?payee_id=ac1e14e3-46a7-4010-b6ca-36090efc4f69&payer_account=821970704543&amount=1000¤cy=MXN&idempotency_key=your_api_key",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
{
"payment_id": "68af20e7-f369-4764-a9bf-508684a2caa5",
"amount": "1000.0",
"currency": "MXN",
"payer_account": "821970704543",
"payee_id": "ac1e14e3-46a7-4010-b6ca-36090efc4f69",
"status": "completed",
"metadata": {},
"created_at": "2025-05-21T19:18:58.838Z"
}{
"error_type": "INTERNAL_ERROR",
"error_message": "There was an error while processing your request"
}